
package de.ivu.elect.presentation.wahlvorschlag.menu;

import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.MenuEntry;
import de.ivu.elect.presentation.ui.AbstractPageMenuModelBuilder;

@Named(WahlvorschlagPageMenu.COMPONENT_NAME)
public class WahlvorschlagPageMenu extends AbstractPageMenuModelBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wahlvorschlagPageMenu";

  @Inject
  private transient WahlvorschlagMainMenuEntry wahlvorschlagMainMenuEntry;

  public WahlvorschlagPageMenu() {
    super();
  }

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    return wahlvorschlagMainMenuEntry.getSubMenuEntriesSorted();
  }
}
